cost 19 ms
如果当前版本安装失败,有什么方法可以自动安装不同版本的 python package

我有一个本地 PYPI 存储库,并且某些版本的软件包无法安装,因为它们被认为包含漏洞。 有没有办法自动找到可用的版本并安装它。 版本可用性在此期间发生变化。 我已经通过编写自己的脚本来解决这个问题,该脚本获取所有版本并递归地尝试安装 package 直到成功。 但我想知道也许有一个现有的工具可以做 ...

2022-08-15 16:06:59 0 21
SFML package 由于“No.egg-info 目录”而安装失败

操作系统:Windows 我试图在 Visual Studio Code 的终端中运行命令pip install sfml ,但由于这个原因没有安装 package: 我应该提到这个目录甚至不存在,可能我应该配置一些东西或下载一个附加应用程序。 ...

2022-08-13 19:12:59 1 17
使用数据文件构建 python package 并使用它们

我想从以下目录构建一个 python package: 这样extra_funcs.py就用在main_funcs.py中了,也从data_file.dat中获取数据。 我希望最终拥有用于导出 package 的 a.whl 和 a.tar.gz 文件。 我怎样才能做到这一点? 我不明白如何使用 s ...

2022-08-13 15:46:44 0 14
无法使用 pip 和 Cuda 安装 Cupy

我在使用以下命令安装 cupy 时遇到问题:pip install cupy-cuda102 系统详情: 操作系统:Windows 10 GPU:NVIDIA GeForce 820M Python 版本:3.6.4 Pip 版本:21.3.1 Cuda 版本:10.2.89 错误信息:错 ...

2022-08-13 15:35:46 1 21
我在尝试安装 django 时收到错误代码

Traceback(最近一次调用最后一次):文件“C:\Users\HP\myproject\lib\site-packages\pip_vendor\urllib3\response.py”,第 438 行,在 _error_catcher 产生文件“C:\Users\HP\myproject ...

2022-08-13 12:10:45 1 21
即使我在虚拟环境中安装了 Einops,我也无法导入它

基本上,标题,我通过pip安装后尝试导入Einops,但我不能。 我正在使用 VScode,并且在 Jupyter 笔记本文件中。 从我附上的图片底部可以看到,我已经安装了 einops。 我在我的测试虚拟环境中,从右上角可以看到,为 python 解释器选择了相同的环境。 有想法该怎么解决这个吗? ...

2022-08-13 08:30:17 0 27
错误:*.whl 不是有效的车轮文件名

*或星号命令在 shell 和执行以下命令时的命令提示符中未被识别。 我在驾驶室目录中有多个 python 轮子。 如何以正确的顺序安装多个.whl 文件 ...

2022-08-13 06:18:42 1 32
尝试安装 Django 通道/密码时如何解决此错误? “未能建立密码学”

我已经看到了这个问题的几个线程,但是没有一个解决方案对我有用。 我正在尝试使用 Python 和 Django 创建一个简单的聊天应用程序,我在每个教程中看到的第一步是安装通道(包括加密)。 但是,每次我尝试安装它们时,安装程序都会进行加密,然后给我一个巨大的错误(附加错误代码) 我尝试过的 -& ...

2022-08-13 05:44:19 0 28
Python setuptools 需要连接到 Internet 也用于本地包

我有一台没有连接到互联网的机器——唯一的连接是本地组织网络。 作为执行过程的一部分,我想通过执行以下命令安装本地 package: pip install --no-deps --disable-pip-version-check --ignore-requires-python -e. (我包括 ...

2022-08-13 05:40:59 0 22
如何运行下载的 pip package?

我最近编写了 pygame 并将其制成可安装的 pip package。 它位于 python package 索引上,我使用 pip 安装它。 如何访问文件或运行程序? pyproject.toml 设置.cfg ...

2022-08-13 03:45:56 2 55
使用 setuptools 排除外部库

每当用户通过 pip 而不是在 macOS 上安装我的 package 时,我都试图排除安装特定库这是我的逻辑: 然后在setuptools.setup我使用: packages=install_packages 这个好像不行。。 如何从我的设置中排除这个 package? 我是新手,所以我确定我错 ...

2022-08-12 22:45:14 1 33
安装 Vilmedic/Faiss-gpu 软件包时如何解决此错误? [关闭]

关闭。 这个问题需要调试细节。 它目前不接受答案。 编辑问题以包含所需的行为、特定问题或错误以及重现问题所需的最短代码。 这将帮助其他人回答问题。 14 小时前关闭。 改进这个问题我正在尝试在本地计算机上运行此应用程序: https://huggingface.co/spaces/Stanf ...

2022-08-12 21:19:34 1 22

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM